Bug 209618 - The gcore(1) [fcore] for 32bit process does not work on RHEL4(EM64T).
Summary: The gcore(1) [fcore] for 32bit process does not work on RHEL4(EM64T).
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: frysk (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Phil Muldoon
QA Contact: Len DiMaggio
URL:
Whiteboard:
Keywords: Patch
Depends On: 209556
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-06 13:15 UTC by Andrew Cagney
Modified: 2008-01-18 16:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 16:08:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Andrew Cagney 2006-12-07 19:03:58 UTC
Upstream tracker: http://sourceware.org/bugzilla/show_bug.cgi?id=2243

Comment 2 Phil Muldoon 2008-01-18 16:08:57 UTC
Backfilling from previous fixes.

For the fcore, there was a case with "32 on 64 bit" floating point registers
were incorrectly sourced as banks. On 32 on 64, this is not a correct way to
source such registers for the corefile note. Recent work on register
representation has allowed the registers to be sourced as follows:

2008-01-03  Phil Muldoon  <pmuldoon@redhat.com>

        * TestCoredumpAction.java (testGeneralPurposeRegisters): Delete. Replaced by
        frysk.proc.dead.TestCoreRegs.
        (testFloatingPointRegisters): Ditto.
        (testXFloatingPointRegisters): Ditto.
        * IA32LinuxElfCorefile.java (writeNotePRXFPRegSet): Rewrite and
        use BankRegisters.
        (writeNotePRFPRegSet): Ditto.
        * X8664LinuxElfCorefile.java (writeNotePRFPRegSet): Ditto.


Note You need to log in before you can comment on or make changes to this bug.